Skip to content

Get the status of a restore operation

GET
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/restores/{restoreId}

Returns the current status and metadata for a restore operation. Poll this endpoint to track progress.

Authorizations

Parameters

Path Parameters

organisation
required
string

The organisation ID

Example
test-org
application
required
string

The application ID

Example
test-app
environment
required
string

The environment ID

Example
staging
restoreId
required
string

The restore operation ID

Example
restore-abc123

Responses

200

Restore operation record

object
restoreId
string
restore-abc123
orgName
string
test-org
appName
string
test-app
envName
string
staging
backupId
string
quant-gov-dashboard-staging-2025-09-19T21-50-27-145Z
status
string
Allowed values: pending in_progress completed failed
completed
startedAt
string format: date-time
completedAt
string format: date-time
nullable
errorMessage
string
nullable
taskArn
string
nullable
ttl
integer
nullable